RMDIR(2)

NAME
rmdir - remove a directory file

SYNOPSIS
rmdir(path)
char *path;

DESCRIPTION
Rmdir removes a directory file whose name is given by path. The directory must not have any entries other than “.” and “..”.

RETURN VALUE
A 0 is returned if the remove succeeds; otherwise a -1 is returned and an error code is stored in the global location errno.

ERRORS
The named file is removed unless one or more of the following are true:

[ENOTEMPTY]
    The named directory contains files other than ``.'' and ``..'' in it.

[EPERM]
    The pathname contains a character with the high-order bit set.

[ENOENT]
    The pathname was too long.

[ENOTDIR]
    A component of the path prefix is not a directory.

[ENOENT]
    The named file does not exist.

[EACCES]
    A component of the path prefix denies search permission.

[EACCES]
    Write permission is denied on the directory containing the link to be removed.

[EBUSY]
    The directory to be removed is the mount point for a mounted file system.

[EROFS]
    The directory entry to be removed resides on a read-only file system.

[EFAULT]
    Path points outside the process's allocated address space.

[ELOOP]
    Too many symbolic links were encountered in translating the pathname.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

SEE ALSO
mkdir(2), unlink(2)